{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
    crossorigin="anonymous">
    <link href="{% static 'appointment.css' %}" rel="stylesheet">
    <title>Lika's Appointments</title>
</head>

<body>
    <div class="row">
        <div class="col-md-2 col-sm-12">
            <form action="{% url 'accounts:logout' %}" method="POST">
                {% csrf_token %}
                <input class="btn btn-secondary" type="submit" value="Log out" id="logout-button">
            </form>
        </div>
    </div>

    <div class="row">
        <div class="col-md-10 col-sm-12">
            <h1 id="hello">Hello, <span style="color: #F0AF45">{{ user.username }}</span></h1>
        </div>
    </div>

    
    <div class="container box">
        <div class="col-md-12 col-sm-12">
            <form method="POST" action="{% url 'appointment:appointments' %}" class="form-group">
                <p style="font-size: 1.2rem;">Create your 
                    <span style="color:#E18C03 ; font-weight: 500;">
                appointment</span> here</p>

                {% csrf_token %}
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Day: {{ form.day }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        Date: {{ form.date }}
                    </div>
    
                    <div class="col-md-4 col-sm-12">
                        Time: {{ form.time }}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Activities: {{ form.activities }}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Place: {{ form.place }}
                    </div>
                </div>
        
                <div class="row" style="padding: 2rem 0rem 0rem 0rem;">
                    <div class="col-md-10 col-sm-12">
                        <input type="submit" value="Make an appointment" class="btn btn-primary" >
                    </div>
                </div>

                
        </form>
        </div>    
    </div>
    
    <div class="container table-size">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Day and Date</th>
                    <th>Time</th>
                    <th>Name</th>
                    <th>Activities</th>
                    <th>Place</th>
                </tr>
            </thead>

            <tbody>
                {% for a in appointments %}
                    <tr>
                        <td>{{ a.day }}, {{ a.date }}</td>
                        <td>{{ a.time }}</td>
                        <td>{{ a.name.username }}</td>
                        <td>{{ a.activities }}</td>
                        <td>{{ a.place }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

    <a id="back" href="{% url 'appointment:home' %}">Back to home</a>
</body>
</html>